Package org.apache.commons.cli.help

# Enum TextStyle.Alignment

java.lang.Object
java.lang.Enum<TextStyle.Alignment>
org.apache.commons.cli.help.TextStyle.Alignment

All Implemented Interfaces:
  `Serializable`, `Comparable<TextStyle.Alignment>`

Enclosing class:
  `TextStyle`

public static enum TextStyle.Alignment extends Enum<TextStyle.Alignment>
The alignment possibilities.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Centers the text.
  `LEFT`
  Left justifies the text.
  `RIGHT`
  Right justifies the text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextStyle.Alignment`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TextStyle.Alignment[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final TextStyle.Alignment LEFT
    Left justifies the text.

  - ### CENTER

    public static final TextStyle.Alignment CENTER
    Centers the text.

  - ### RIGHT

    public static final TextStyle.Alignment RIGHT
    Right justifies the text.

- ## Method Details

  - ### values

    public static TextStyle.Alignment[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TextStyle.Alignment valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null